#ifndef SPISENDER_H
#define SPISENDER_H

#include "spiframe.h"
#include "stdint.h"
//#include <pigpio.h>

class SpiSender
{
private:
    int readyPin;
    int spiHandle;

public:
    SpiSender(int readyPin);
    int getReadyPin() const;
    bool sendFrame(const SpiFrame& frame, bool waitReady = false) const;
    bool canSend() const;
};


#endif // SPISENDER_H
