#ifndef MATRIX_SERVER_H
#define MATRIX_SERVER_H

#include <stdint.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include "mxframe.h"

class MatrixServer
{
private:
    const int BUFFER_SIZE = 2000;
    const int PORT = 10000;
    int sockfd = -1;
    uint8_t* buffer;
    size_t datagram_size;
    struct sockaddr_in servaddr, cliaddr;
    MxFrame frame;
    bool parseDatagram(uint8_t* buffer, size_t len);

public:
    MatrixServer();
    ~MatrixServer();
    bool receive();
    MxFrame getFrame();
};

#endif // MATRIX_SERVER_H